//---------------------------------------------------//
//  AKIZUKI DENSHI TSUSHO CO.,LTD.
//  Version 1.1  2017-06-26
//---------------------------------------------------//

//---------------------------------------------------//
// AE-SHT31    ------     ESP-WROOM-O2                //
//                                                   //
//   V+        ------        3.3V                    //
//  SDA        ------        IO4                     //
//  SCL        ------        IO5                     //
//  ADR        ------       (Open = 0x45)            //
//  GND        ------        GND                     //
//---------------------------------------------------//

#include "AE_SHT31.h"
#define SDA 4
#define SCL 5

// SHT31のアドレスを設定
AE_SHT31 SHT31 = AE_SHT31(0x45, SDA, SCL);

void setup() {
  // シリアル通信を115200bpsに設定
  Serial.begin(115200);
  delay(100);
  // シリアルに文字を出力
  Serial.println("");
  Serial.println("SHT31 Test!!");
  // SHT31をソフトリセット
  SHT31.SoftReset();
  // 内蔵ヒーター 0:OFF 1:ON
  SHT31.Heater(0);
}


void loop()
{
  float temperature, humidity;
  // SHT31から温湿度データを取得
  SHT31.GetTempHum();
  temperature = SHT31.Temperature();
  humidity = SHT31.Humidity();

  Serial.print("temperature: ");
  Serial.print(temperature);
  Serial.print(" DegC,  humidity: ");
  Serial.print(humidity);
  Serial.println(" %");

  // 待ち時間
  delay(2000);
}
