#include <ESP8266WiFi.h>
#include "Ambient.h"
#include "AE_SHT31.h"

#define LED 13
#define SDA 4
#define SCL 5


#define SEND 10

// ---------- customize here ----------
// WiFi Connection
const char* ssid = "wifiのSSIDに変更する";
const char* password = "wifiのパスワードに変更する";

// Ambient Channel Info
unsigned int channelId = チャネルIDに変更;
const char* writeKey = "writekeyに変更";
// ------------------------------------

WiFiClient client;
Ambient ambient;
// SHT31のアドレスを設定
AE_SHT31 SHT31 = AE_SHT31(0x45, SDA, SCL);

void setup()
{
  Serial.begin(115200);
  delay(100);

  Serial.println("");
  Serial.println("SHT31 + Ambient Test");

  pinMode(LED, OUTPUT);

  WiFi.mode(WIFI_STA);         // 子機モードに設定
  WiFi.begin(ssid, password);  // 親機(Access Point)に接続する

  int i = 0;
  while (WiFi.status() != WL_CONNECTED) { // 接続が完了するまでLEDを点滅させる
    delay(500);

    digitalWrite(LED, i++ % 2);
    Serial.print(".");
  }
  Serial.println("");

  digitalWrite(LED, LOW);
  Serial.println("WiFi connected");
  Serial.print("IP address: ");
  Serial.println(WiFi.localIP());

  ambient.begin(channelId, writeKey, &client);
  // SHT31をソフトリセット
  SHT31.SoftReset();
  // 内蔵ヒーター 0:OFF 1:ON
  SHT31.Heater(0);
}

void loop()
{
  float temperature, humidity;
  // SHT31から温湿度データを取得
  SHT31.GetTempHum();
  temperature = SHT31.Temperature();
  humidity = SHT31.Humidity();

  Serial.print("temperature: ");
  Serial.print(temperature);
  Serial.print(" DegC,  humidity: ");
  Serial.print(humidity);
  Serial.println(" %");

  ambient.set(1, temperature);
  ambient.set(2, humidity);
  
  digitalWrite(LED, HIGH);
  ambient.send();
  digitalWrite(LED, LOW);

  delay(SEND * 1000);
}
